Skip to content

UploadCategory


OpenAPI Spec

GET
/v1/upload-categories/spec

Get OpenAPI 3.1.0 spec for UploadCategory API

Responses

Returns OpenAPI 3.1.0 spec for UploadCategory API

application/json
JSON
{
}

Playground

Samples


List UploadCategories

GET
/v1/upload-categories

List UploadCategories

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
deactivatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"color": "string",
"order": 1,
"deactivatedAt": "string",
"roleIds": [
0
],
"additionalProperties": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new UploadCategory

POST
/v1/upload-categories

Create a new UploadCategory

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"name": "string",
"color": "string",
"order": 1,
"roleIds": [
0
]
}

Responses

UploadCategory found

application/json
JSON
{
"id": 0,
"name": "string",
"color": "string",
"order": 1,
"deactivatedAt": "string",
"roleIds": [
0
],
"additionalProperties": "string"
}

Playground

Server
Authorization
Body

Samples


Get a UploadCategory

GET
/v1/upload-categories/{uploadCategoryId}

Get a UploadCategory by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

uploadCategoryId*
Type
integer
Required
Format
"int32"

Responses

UploadCategory found

application/json
JSON
{
"id": 0,
"name": "string",
"color": "string",
"order": 1,
"deactivatedAt": "string",
"roleIds": [
0
],
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a UploadCategory

PATCH
/v1/upload-categories/{uploadCategoryId}

Update a UploadCategory by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

uploadCategoryId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"name": "string",
"color": "string",
"order": 1,
"deactivatedAt": "string",
"roleIds": [
0
]
}

Responses

UploadCategory found

application/json
JSON
{
"id": 0,
"name": "string",
"color": "string",
"order": 1,
"deactivatedAt": "string",
"roleIds": [
0
],
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples